<div class='hhcCase'>
  <header></header>
  <section class='content'>
    <div class='head'><%= t('report.hhc_title_label') %></div>
    <% assessments = @referral.assessments %>
    <% if assessments.present? %>
      <% patient = @referral.patient %>
      <% assessments.each_with_index do |assessment, index| %>
        <% preventive_health_measure = assessment.preventive_health_measure %>
        <% health_condition = assessment.health_condition %>
        <% skin_condition = assessment.skin_condition %>
        <% physical_functioning = assessment.physical_functioning %>
        <% mood_and_behavior_pattern = assessment.mood_and_behavior_pattern %>
        <div class='card'>
          <div class='cardContent'>
            <div class='cardGroup'>
              <div class='resultLine'>
                <span class='resultBlock'>
                  <label class='label'>วันที่เยี่ยม</label>
                  <label class='value'>
                    <% if assessment.assessment_at.present? %>
                      <%= basic_date_format(assessment.assessment_at) %>
                    <% else %>
                      -
                    <% end %>
                  </label>
                </span>
                <span class='resultBlock'>
                  <label class='label'>ครั้งที่</label>
                  <label class='value'>
                    <%= index + 1 %>
                  </label>
                </span>
              </div>
              
              <div class='resultLine'>
                <span class='resultBlock'>
                  <label class='label'>ชื่อ-นามสกุล</label>
                  <label class='value'>
                    <%= patient.prename.present? ? MPrename.find_by(code: patient.prename).label : '-' %>
                    <%= patient.first_name %>
                    <%= patient.last_name %>
                  </label>
                </span>
                <span class='resultBlock'>
                  <label class='label'>อายุ</label>
                  <label class='value'>
                    <% if patient.birthdate.present? %>
                      <%= age(patient.birthdate) %>
                    <% else %>
                      -
                    <% end %>
                  </label>
                </span>
                <span class='resultBlock'>
                  <label class='label'>เพศ</label>
                  <label class='value'>
                    <% if patient.sex.present? %>
                      <%= MSex.find_by(code: patient.sex).label %>
                    <% else %>
                      -
                    <% end %>
                  </label>
                </span>
                <span class='resultBlock'>
                  <label class='label'>สัญชาติ</label>
                  <label class='value'>
                    <% if patient.nationality.present? %>
                      <%= MNationality.find_by(code: patient.nationality).label %>
                    <% else %>
                      -
                    <% end %>
                  </label>
                </span>
              </div>
              <div>
                <span class='resultBlock'>
                  <label class='label'>เลขประจําตัวประชนชน</label>
                  <label class='value'>
                      <%= patient.patient_id_list.present? ? patient.patient_id_list : '-' %>
                  </label>
                </span>
              </div>
              <div>
                <span class='resultBlock'>
                  <label class='label'>ลักษณะทั่วไป</label>
                  <label class='value'>
                    <% if preventive_health_measure.present? %>
                      <% general_characteristic = preventive_health_measure.general_characteristic %>
                      <%= general_characteristic.nil? ? '-' : general_characteristic %>
                    <% else %>
                      -
                    <% end %>
                  </label>
                </span>
              </div>
            </div>
            <div class='treatmentResults'>
              <table class='tableBorder'>
                <tbody>
                  <tr>
                    <td class='textBold'>1. ด้านร่างกาย</td>
                    <td>
                      <div class='floatBlock blockNormal'>
                        <span class='resultBlock'>
                          <label class='label'>T</label>
                          <label class='value'>
                            <% if preventive_health_measure.present? %>
                              <%= preventive_health_measure.temperature.nil? ? '-' :  preventive_health_measure.temperature %>
                            <% else %>
                              -
                            <% end %>
                            c
                          </label>
                        </span>
                                <span class='resultBlock'>
                          <label class='label'>P</label>
                          <label class='value'>
                            <% if preventive_health_measure.present? %>
                              <%= preventive_health_measure.pulse.nil? ? '-' : preventive_health_measure.pulse %>
                            <% else %>
                              -
                            <% end %>
                            bpm
                          </label>
                        </span>
                        <span class='resultBlock'>
                          <label class='label'>R</label>
                          <label class='value'>
                            <% if preventive_health_measure.present? %>
                              <%= preventive_health_measure.heart_rate.nil? ? '-' : preventive_health_measure.heart_rate %>
                            <% else %>
                              -
                            <% end %>
                            bpm
                          </label>
                        </span>
                        <span class='resultBlock'>
                          <label class='label'>BP</label>
                          <label class='value'>
                            <% if preventive_health_measure.present? %>
                              <%= preventive_health_measure.blood_pressure.nil? ? '-' : preventive_health_measure.blood_pressure %>
                            <% else %>
                              -
                            <% end %>
                            mmHg
                          </label>
                        </span>
                        <span class='resultBlock'>
                          <label class='label'>BMI</label>
                          <label class='value'>
                            <% if preventive_health_measure.present? %>
                              <%= bmi(preventive_health_measure.weight, preventive_health_measure.height) %>
                            <% else %>
                              -
                            <% end %>
                            kg/m2
                          </label>
                        </span>
                        <span class='resultBlock'>
                          <label class='label'>BW</label>
                          <label class='value'>
                            <% if preventive_health_measure.present? %>
                              <%= preventive_health_measure.weight.nil? ? '-' : preventive_health_measure.weight %>
                            <% else %>
                              -
                            <% end%>
                            kg
                          </label>
                        </span>
                        <span class='resultBlock'>
                          <label class='label'>HT</label>
                          <label class='value'>
                            <% if preventive_health_measure.present? %>
                              <%= preventive_health_measure.height.nil? ? '-' : preventive_health_measure.height %>
                            <% else %>
                              -
                            <% end %>
                            cm
                          </label>
                        </span>
                        <span class='resultBlock'>
                          <label class='label'>DTX</label>
                          <label class='value'>
                            <% if preventive_health_measure.present? %>
                              <%= preventive_health_measure.dtx.nil? ? '-' : preventive_health_measure.dtx %>
                            <% else %>
                              -
                            <% end %>
                            mg%
                          </label>
                        </span>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class='textBold'>2. อาการ/อาการแสดง</td>
                    <td>
                      <div>
                        <span class='resultBlock'>
                          <label class='label'>ความผิดปกติที่พบ</label>
                          <label class='value'>
                            <% if health_condition.present? && health_condition.abnormality.present? %>
                              <% if health_condition.abnormality == '4' %>
                                <%= health_condition.abnormality_other %>
                              <% else %>
                                <%= RAbnormality.find_by(code: health_condition.abnormality).label %>
                              <% end %>
                            <% end %>
                          </label>
                        </span>
                      </div>
                      <div>
                        <span class='resultBlock'>
                          <label class='label'>ความพิการ</label>
                          <label class='value'>
                              <% if health_condition.present? && health_condition.disability.present? %>
                              <% if health_condition.disability == '2' %>
                                <%= health_condition.disability_characteristic.present? ? RDisabilityCharacteristic.find_by(code: health_condition.disability_characteristic).label : '-' %>
                              <% else %>
                                <%= RYesNo.find_by(code: health_condition.disability).label %>
                              <% end %>
                            <% end %>
                          </label>
                        </span>
                      </div>
                      <div>
                        <span class='resultBlock'>
                          <label class='label'>อาการอ่อนแรง/ชา</label>
                          <label class='value'>
                              <% if health_condition.present? && health_condition.weakness.present? %>
                              <% if health_condition.weakness == '2' %>
                                <%= health_condition.weakness_characteristic %>
                              <% else %>
                                <%= RYesNo.find_by(code: health_condition.weakness).label %>
                              <% end %>
                            <% end %>
                          </label>
                        </span>
                      </div>
                      <div>
                        <span class='resultBlock'>
                          <label class='label'>แผล/แผลกดทับ</label>
                          <label class='value'>
                            <% if skin_condition.present? && skin_condition.bedsore.present? %>
                              <% if skin_condition.bedsore == '2' %>
                                <%= skin_condition.bedsore_characteristic %>
                              <% else %>
                                <%= RYesNo.find_by(code: skin_condition.bedsore).label %>
                              <% end %>
                            <% end %>
                          </label>
                        </span>
                      </div>
                      <div>
                        <span class='resultBlock'>
                          <label class='label'>อาการปวด</label>
                          <label class='value'>
                            <% if health_condition.present? && health_condition.pain.present? %>
                              <% if health_condition.pain == '2' %>
                                <%= health_condition.pain_characteristic %>
                              <% else %>
                                <%= RYesNo.find_by(code: health_condition.pain).label %>
                              <% end %>
                            <% end %>
                          </label>
                        </span>
                      </div>
                      <div>
                        <span class='resultBlock'>
                          <label class='label'>ต้องใช้ยา</label>
                          <label class='value'>
                            <% if health_condition.present? && health_condition.medication_adherence.present? %>
                              <% if health_condition.medication_adherence == '2' %>
                                <%= health_condition.medicine_name %>
                              <% else %>
                                <%= RAdherenceType.find_by(code: health_condition.medication_adherence).label %>
                              <% end %>
                            <% end %>
                          </label>
                        </span>
                      </div>
                      <div>
                        <span class='resultBlock'>
                          <label class='label'>อาการบวม</label>
                          <label class='value'>
                            <% if health_condition.present? && health_condition.edema.present? %>
                              <% if health_condition.edema == '2' %>
                                <%= health_condition.edema_characteristic %>
                              <% else %>
                                <%= RYesNo.find_by(code: health_condition.edema).label %>
                              <% end %>
                            <% end %>
                          </label>
                        </span>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class='textBold'>3. การขับถ่าย</td>
                    <td>
                      <div>
                        <span class='resultBlock'>
                          <label class='label'>ความผิดปกติที่พบ</label>
                          <label class='value'>
                            <% if physical_functioning.present? && physical_functioning.excretion.present? %>
                              <% if physical_functioning.excretion == '2' %>
                                ผิดปกติ <%= physical_functioning.excretion_abnormally %>
                              <% else %>
                                ปกติ
                              <% end %>
                            <% end %>
                          </label>
                        </span>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class='textBold'>4. อุปกรณ์ทางการแพทย์</td>
                    <td>
                      <% equipments = assessment.patient_assessment_equipments %>
                      <% equipments.each do |equipment| %>
                        <% if equipment.code == 9 %>
                          <div><%= equipment.other_description %></div>
                        <% else %>
                          <div><%= REquipmentType.find_by(code: equipment.code).label %></div>
                        <% end %>
                      <% end %>
                    </td>
                  </tr>
                  <tr>
                    <td class='textBold'>5. สภาพอารมณ์/จิตใจ</td>
                    <td>
                      <% if mood_and_behavior_pattern.present? && mood_and_behavior_pattern.mental_condition.present? %>
                        <% if mood_and_behavior_pattern.mental_condition == '2' %>
                          ผิดปกติ <%= mood_and_behavior_pattern.mental_condition_characteristic %>
                        <% else %>
                          ปกติ
                        <% end %>
                      <% end %>
                    </td>
                  </tr>
                  <tr>
                    <td class='textBold'>6. ความสามารถในการดูแลตนเอง (Self Care)</td>
                    <td>
                      <% if physical_functioning.present? && physical_functioning.patient_ability.present? %>
                        <%= PAbility.find_by(code: physical_functioning.patient_ability).label %>
                      <% end %>
                    </td>
                  </tr>
                  <tr>
                    <td class='textBold'>7. การพบแพทย์ตามนัด</td>
                    <td>
                      <% if assessment.appointment.present? %>
                        <% if assessment.appointment == '1' %>
                          <div>มี</div>
                          <div>ระบุ <%= basic_date_format(assessment.appointment_at) %></div>
                        <% else %>
                          ไม่มี
                        <% end %>
                      <% end %>
                    </td>
                  </tr>
                  <tr>
                    <td class='textBold'>8. กิจกรรมการพยาบาล</td>
                    <td>
                      <% care_activities = assessment.care_activities %>
                      <% care_activities.each do |care_activity| %>
                        <% if care_activity.enabled %>
                          <div><%= care_activity.activity.present? ? RCareActivityType.find_by(code: care_activity.activity).label : '-' %></div>
                        <% end %>
                      <% end %>
                    </td>
                  </tr>
                  <tr>
                    <td class='textBold'>9. ผลการพยาบาล</td>
                    <td><%= assessment.nursing_result.nil? ? '-' : RNursingResult.find_by(code: assessment.nursing_result).label %></td>
                  </tr>
                  <tr>
                    <td class='textBold'>10. ความพึงพอใจผู้ของผู้รับบริการที่บ้าน</td>
                    <td>มาก</td>
                  </tr>
                  <tr>
                    <td class='textBold'>11. ผู้ประเมิน/ตําแหน่ง</td>
                    <td>
                      <div>
                        <% if assessment.present? && assessment.assessor.present? %>
                          <% assessor = Provider.find_by(set_id: assessment.assessor) %>
                          <%= assessor.prename.nil? ? '-': MPrename.find_by(code: assessor.prename).label %>
                          <%= assessor.first_name %>
                          <%= assessor.last_name %>
                          <%= assessor.position %>
                        <% else %>
                          -
                        <% end %>
                      </div>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>

          </div>
        </div>
        <% if index != assessments.length - 1 %>
          <div class="page-break"></div>
        <% end %>
      <% end %>
    <% else %>
      <div class='card'>
        ไม่มีข้อมูล assessment
      </div>
    <% end %>
  </section>
</div>
